<bugID>958873<Summary>Use HTTPS for Bing searches</Summary><Description>https://www.bing.com and https://bing.com are now working in a useful way. Let's switch Bing in the search box to use HTTPS like we did for Google in bug 633773.

Three things to note:

1. https://api.bing.com is not working yet, so I didn't switch search suggestions. I will file a follow-up bug for that.

2. I noticed some files have this:
       &lt;SearchForm&gt;http://www.bing.com/search&lt;/SearchForm&gt;
   and other files have:
       &lt;SearchForm&gt;https://www.bing.com&lt;/SearchForm&gt;

   The inconsistency seems strange.

3. The patch was tested only on desktop Firefox.

I would like to uplift this to Firefox 28 if possible. I guess we should check with Bing to see if they are cool with this, but I am not sure who should own that part.</Description></bugID>